diff --git a/gnulib/tests/Makefile.in b/gnulib/tests/Makefile.in
index 37b527a..ce411ac 100644
--- a/gnulib/tests/Makefile.in
+++ b/gnulib/tests/Makefile.in
@@ -115,7 +115,7 @@ TESTS = test-alloca-opt$(EXEEXT) test-binary-io.sh test-btowc1.sh \
 	test-inttypes$(EXEEXT) test-isblank$(EXEEXT) \
 	test-langinfo$(EXEEXT) test-locale$(EXEEXT) \
 	test-localeconv$(EXEEXT) test-localename$(EXEEXT) \
-	test-lock$(EXEEXT) test-lstat$(EXEEXT) \
+	test-lstat$(EXEEXT) \
 	test-malloc-gnu$(EXEEXT) test-malloca$(EXEEXT) \
 	test-mbrtowc1.sh test-mbrtowc2.sh test-mbrtowc3.sh \
 	test-mbrtowc4.sh test-mbrtowc-w32-1.sh test-mbrtowc-w32-2.sh \
@@ -133,7 +133,7 @@ TESTS = test-alloca-opt$(EXEEXT) test-binary-io.sh test-btowc1.sh \
 	test-symlink$(EXEEXT) test-sys_stat$(EXEEXT) \
 	test-sys_time$(EXEEXT) test-sys_types$(EXEEXT) \
 	test-sys_wait$(EXEEXT) test-init.sh test-thread_self$(EXEEXT) \
-	test-thread_create$(EXEEXT) test-time$(EXEEXT) \
+	test-time$(EXEEXT) \
 	test-unistd$(EXEEXT) test-unsetenv$(EXEEXT) \
 	test-vasnprintf$(EXEEXT) test-vasprintf$(EXEEXT) \
 	test-verify$(EXEEXT) test-verify.sh test-wchar$(EXEEXT) \
@@ -157,7 +157,7 @@ check_PROGRAMS = test-alloca-opt$(EXEEXT) test-binary-io$(EXEEXT) \
 	test-inttypes$(EXEEXT) test-isblank$(EXEEXT) \
 	test-langinfo$(EXEEXT) test-locale$(EXEEXT) \
 	test-localeconv$(EXEEXT) test-localename$(EXEEXT) \
-	test-lock$(EXEEXT) test-lstat$(EXEEXT) \
+	test-lstat$(EXEEXT) \
 	test-malloc-gnu$(EXEEXT) test-malloca$(EXEEXT) \
 	test-mbrtowc$(EXEEXT) test-mbrtowc-w32$(EXEEXT) \
 	test-mbsinit$(EXEEXT) test-mbsrtowcs$(EXEEXT) \
@@ -173,7 +173,7 @@ check_PROGRAMS = test-alloca-opt$(EXEEXT) test-binary-io$(EXEEXT) \
 	test-symlink$(EXEEXT) test-sys_stat$(EXEEXT) \
 	test-sys_time$(EXEEXT) test-sys_types$(EXEEXT) \
 	test-sys_wait$(EXEEXT) test-thread_self$(EXEEXT) \
-	test-thread_create$(EXEEXT) test-time$(EXEEXT) \
+	test-time$(EXEEXT) \
 	test-unistd$(EXEEXT) test-unsetenv$(EXEEXT) \
 	test-vasnprintf$(EXEEXT) test-vasprintf$(EXEEXT) \
 	test-verify$(EXEEXT) test-wchar$(EXEEXT) test-wcrtomb$(EXEEXT) \
@@ -508,9 +508,6 @@ test_localename_SOURCES = test-localename.c
 test_localename_OBJECTS = test-localename.$(OBJEXT)
 test_localename_DEPENDENCIES = $(am__DEPENDENCIES_2) \
 	$(am__DEPENDENCIES_1)
-test_lock_SOURCES = test-lock.c
-test_lock_OBJECTS = test-lock.$(OBJEXT)
-test_lock_DEPENDENCIES = $(am__DEPENDENCIES_2)
 test_lstat_SOURCES = test-lstat.c
 test_lstat_OBJECTS = test-lstat.$(OBJEXT)
 test_lstat_LDADD = $(LDADD)
@@ -669,9 +666,6 @@ test_sys_wait_OBJECTS = test-sys_wait.$(OBJEXT)
 test_sys_wait_LDADD = $(LDADD)
 test_sys_wait_DEPENDENCIES = libtests.a ../../gnulib/lib/libgnu.la \
 	libtests.a $(am__DEPENDENCIES_1)
-test_thread_create_SOURCES = test-thread_create.c
-test_thread_create_OBJECTS = test-thread_create.$(OBJEXT)
-test_thread_create_DEPENDENCIES = $(am__DEPENDENCIES_2)
 test_thread_self_SOURCES = test-thread_self.c
 test_thread_self_OBJECTS = test-thread_self.$(OBJEXT)
 test_thread_self_DEPENDENCIES = $(am__DEPENDENCIES_2)
@@ -769,7 +763,7 @@ SOURCES = $(libtests_a_SOURCES) $(EXTRA_libtests_a_SOURCES) \
 	test-getdelim.c test-getline.c test-getopt.c \
 	test-gettimeofday.c test-ignore-value.c test-intprops.c \
 	test-inttypes.c test-isblank.c test-langinfo.c test-locale.c \
-	test-localeconv.c test-localename.c test-lock.c test-lstat.c \
+	test-localeconv.c test-localename.c test-lstat.c \
 	test-malloc-gnu.c test-malloca.c test-mbrtowc.c \
 	test-mbrtowc-w32.c test-mbsinit.c test-mbsrtowcs.c \
 	test-memchr.c test-nl_langinfo.c test-open.c test-pathmax.c \
@@ -778,7 +772,7 @@ SOURCES = $(libtests_a_SOURCES) $(EXTRA_libtests_a_SOURCES) \
 	test-stdbool.c test-stddef.c test-stdint.c test-stdio.c \
 	test-stdlib.c test-strchrnul.c test-string.c test-strnlen.c \
 	test-strstr.c test-symlink.c test-sys_stat.c test-sys_time.c \
-	test-sys_types.c test-sys_wait.c test-thread_create.c \
+	test-sys_types.c test-sys_wait.c \
 	test-thread_self.c test-time.c test-unistd.c test-unsetenv.c \
 	test-vasnprintf.c test-vasprintf.c test-verify.c test-wchar.c \
 	test-wcrtomb.c test-wcrtomb-w32.c test-wctype-h.c
@@ -792,7 +786,7 @@ DIST_SOURCES = $(libtests_a_SOURCES) $(EXTRA_libtests_a_SOURCES) \
 	test-getdelim.c test-getline.c test-getopt.c \
 	test-gettimeofday.c test-ignore-value.c test-intprops.c \
 	test-inttypes.c test-isblank.c test-langinfo.c test-locale.c \
-	test-localeconv.c test-localename.c test-lock.c test-lstat.c \
+	test-localeconv.c test-localename.c test-lstat.c \
 	test-malloc-gnu.c test-malloca.c test-mbrtowc.c \
 	test-mbrtowc-w32.c test-mbsinit.c test-mbsrtowcs.c \
 	test-memchr.c test-nl_langinfo.c test-open.c test-pathmax.c \
@@ -801,7 +795,7 @@ DIST_SOURCES = $(libtests_a_SOURCES) $(EXTRA_libtests_a_SOURCES) \
 	test-stdbool.c test-stddef.c test-stdint.c test-stdio.c \
 	test-stdlib.c test-strchrnul.c test-string.c test-strnlen.c \
 	test-strstr.c test-symlink.c test-sys_stat.c test-sys_time.c \
-	test-sys_types.c test-sys_wait.c test-thread_create.c \
+	test-sys_types.c test-sys_wait.c \
 	test-thread_self.c test-time.c test-unistd.c test-unsetenv.c \
 	test-vasnprintf.c test-vasprintf.c test-verify.c test-wchar.c \
 	test-wcrtomb.c test-wcrtomb-w32.c test-wctype-h.c
@@ -1950,7 +1944,7 @@ EXTRA_DIST = test-alloca-opt.c test-binary-io.sh test-binary-io.c \
 	macros.h inttypes.in.h test-inttypes.c test-isblank.c \
 	signature.h macros.h test-langinfo.c test-locale.c \
 	test-localeconv.c signature.h macros.h localename.h \
-	test-localename.c macros.h test-lock.c test-lstat.h \
+	test-localename.c macros.h test-lstat.h \
 	test-lstat.c signature.h macros.h test-malloc-gnu.c \
 	test-malloca.c test-mbrtowc1.sh test-mbrtowc2.sh \
 	test-mbrtowc3.sh test-mbrtowc4.sh test-mbrtowc.c \
@@ -1983,7 +1977,7 @@ EXTRA_DIST = test-alloca-opt.c test-binary-io.sh test-binary-io.c \
 	test-symlink.h test-symlink.c signature.h macros.h \
 	test-sys_stat.c test-sys_time.c test-sys_types.c \
 	test-sys_wait.c test-sys_wait.h init.sh test-init.sh \
-	test-thread_self.c test-thread_create.c macros.h \
+	test-thread_self.c macros.h \
 	$(top_srcdir)/build/ac-aux/config.rpath test-time.c \
 	test-unistd.c unsetenv.c test-unsetenv.c signature.h macros.h \
 	test-vasnprintf.c macros.h test-vasprintf.c signature.h \
@@ -2040,7 +2034,6 @@ AM_LIBTOOLFLAGS = --preserve-dup-deps
 test_getcwd_lgpl_LDADD = $(LDADD) $(LIBINTL)
 test_getopt_LDADD = $(LDADD) $(LIBINTL)
 test_localename_LDADD = $(LDADD) @INTL_MACOSX_LIBS@ $(LIBTHREAD)
-test_lock_LDADD = $(LDADD) @LIBMULTITHREAD@ @YIELD_LIB@
 
 # Because this Makefile snippet defines a variable used by other
 # gnulib Makefile snippets, it must be present in all Makefile.am that
@@ -2052,7 +2045,6 @@ UNUSED_PARAMETER_H = unused-parameter.h
 WARN_ON_USE_H = warn-on-use.h
 test_stat_LDADD = $(LDADD) $(LIBINTL)
 test_thread_self_LDADD = $(LDADD) @LIBTHREAD@
-test_thread_create_LDADD = $(LDADD) @LIBMULTITHREAD@
 all: $(BUILT_SOURCES)
 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
 
@@ -2266,10 +2258,6 @@ test-localename$(EXEEXT): $(test_localename_OBJECTS) $(test_localename_DEPENDENC
 	@rm -f test-localename$(EXEEXT)
 	$(AM_V_CCLD)$(LINK) $(test_localename_OBJECTS) $(test_localename_LDADD) $(LIBS)
 
-test-lock$(EXEEXT): $(test_lock_OBJECTS) $(test_lock_DEPENDENCIES) $(EXTRA_test_lock_DEPENDENCIES) 
-	@rm -f test-lock$(EXEEXT)
-	$(AM_V_CCLD)$(LINK) $(test_lock_OBJECTS) $(test_lock_LDADD) $(LIBS)
-
 test-lstat$(EXEEXT): $(test_lstat_OBJECTS) $(test_lstat_DEPENDENCIES) $(EXTRA_test_lstat_DEPENDENCIES) 
 	@rm -f test-lstat$(EXEEXT)
 	$(AM_V_CCLD)$(LINK) $(test_lstat_OBJECTS) $(test_lstat_LDADD) $(LIBS)
@@ -2398,10 +2386,6 @@ test-sys_wait$(EXEEXT): $(test_sys_wait_OBJECTS) $(test_sys_wait_DEPENDENCIES) $
 	@rm -f test-sys_wait$(EXEEXT)
 	$(AM_V_CCLD)$(LINK) $(test_sys_wait_OBJECTS) $(test_sys_wait_LDADD) $(LIBS)
 
-test-thread_create$(EXEEXT): $(test_thread_create_OBJECTS) $(test_thread_create_DEPENDENCIES) $(EXTRA_test_thread_create_DEPENDENCIES) 
-	@rm -f test-thread_create$(EXEEXT)
-	$(AM_V_CCLD)$(LINK) $(test_thread_create_OBJECTS) $(test_thread_create_LDADD) $(LIBS)
-
 test-thread_self$(EXEEXT): $(test_thread_self_OBJECTS) $(test_thread_self_DEPENDENCIES) $(EXTRA_test_thread_self_DEPENDENCIES) 
 	@rm -f test-thread_self$(EXEEXT)
 	$(AM_V_CCLD)$(LINK) $(test_thread_self_OBJECTS) $(test_thread_self_LDADD) $(LIBS)
@@ -2505,7 +2489,6 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-locale.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-localeconv.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-localename.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-lock.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-lstat.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-malloc-gnu.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-malloca.Po@am__quote@
@@ -2538,7 +2521,6 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-sys_time.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-sys_types.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-sys_wait.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-thread_create.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-thread_self.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-time.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-unistd.Po@am__quote@
@@ -3065,13 +3047,6 @@ test-localename.log: test-localename$(EXEEXT)
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
-test-lock.log: test-lock$(EXEEXT)
-	@p='test-lock$(EXEEXT)'; \
-	b='test-lock'; \
-	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
-	--log-file $$b.log --trs-file $$b.trs \
-	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
-	"$$tst" $(AM_TESTS_FD_REDIRECT)
 test-lstat.log: test-lstat$(EXEEXT)
 	@p='test-lstat$(EXEEXT)'; \
 	b='test-lstat'; \
@@ -3380,13 +3355,6 @@ test-thread_self.log: test-thread_self$(EXEEXT)
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
-test-thread_create.log: test-thread_create$(EXEEXT)
-	@p='test-thread_create$(EXEEXT)'; \
-	b='test-thread_create'; \
-	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
-	--log-file $$b.log --trs-file $$b.trs \
-	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
-	"$$tst" $(AM_TESTS_FD_REDIRECT)
 test-time.log: test-time$(EXEEXT)
 	@p='test-time$(EXEEXT)'; \
 	b='test-time'; \
